# LESwaps Class Reference

This class is used to access data which stored in big endian order regardless of the conventions of the platform. More...

`#include <LESwaps.h>`

## Static Public Member Functions
static le_uint16 | swapWord (const le_uint16 &value)
| This method does the byte swap required on little endian platforms to correctly access a (16-bit) word.
static le_uint32 | swapLong (const le_uint32 &value)
| This method does the byte swapping required on little endian platforms to correctly access a (32-bit) long.

## Detailed Description

This class is used to access data which stored in big endian order regardless of the conventions of the platform.

All methods are static and inline in an attempt to induce the compiler to do most of the calculations at compile time.

Stable:
  ICU 2.8

Definition at line 45 of file LESwaps.h.

## Member Function Documentation

static le_uint32 LESwaps::swapLong | ( | const le_uint32 & | value | ) | `[inline, static]`

This method does the byte swapping required on little endian platforms to correctly access a (32-bit) long.

Parameters:

  | value | - the long to be byte swapped

Returns:
  the byte swapped long

Stable:
  ICU 2.8

Definition at line 75 of file LESwaps.h.

static le_uint16 LESwaps::swapWord | ( | const le_uint16 & | value | ) | `[inline, static]`

This method does the byte swap required on little endian platforms to correctly access a (16-bit) word.

Parameters:

  | value | - the word to be byte swapped

Returns:
  the byte swapped word

Stable:
  ICU 2.8

Definition at line 58 of file LESwaps.h.

The documentation for this class was generated from the following file:

- LESwaps.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines